------------------------------------------------------------------------------------
--Name:  	yuanguBOSS
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-06-06
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(88, 71)
local Player_1 = CppScriptMgr:AddPlayer(959, 88, 70, "[MarineMonarch]Hexapus", 0, 0)
Player_1:SetZoomPercent(120)
Player_1:SetDir(7)
local Player_2 = CppScriptMgr:AddSimplePlayer(1055970, 97, 77, "Whale", 0, 0)
Player_2:SetDir(2)
local effect_0 = CppScriptMgr:AddEffect("xuanyuan_skill4xh", 90, 72, 33, 1, 1, 1)
effect_0:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(1000)
local Effect_1 = CppScriptMgr:AddEffect("zf2-e233", 93, 77, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Player_3 = CppScriptMgr:QueryHero()
Player_3:SetPos(93, 77)
Player_3:SetName("")
Player_3:SetDir(3)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Oops! The octopus was awakened!", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202301", 150, 430, "Whale", 250, 655, false)
CppScriptMgr:WaitMilSec(2500)
CppScriptMgr:NpcCallOut("Do as I say if you want to live.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202301", 150, 430, "Whale", 250, 655, false)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("Hexapus is surrounded by its clones.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202301", 150, 430, "Whale", 250, 655, false)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Eradicate all clones to defeat it!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202301", 150, 430, "Whale", 250, 655, false)
CppScriptMgr:WaitMilSec(2000)
Player_3:Say("I won`t let it survive.", 1500)
CppScriptMgr:WaitMilSec(2000)